## zenity 4.1.99

=== meson_options.txt ===
option('webkitgtk', type: 'boolean', value: false, description : 'enable webkitgtk support')
option('manpage', type: 'boolean', value: true, description : 'build manpage (requires help2man)')

## zenity 3.2.0

=== debian/changelog ===
zenity (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends on libwebkitgtk-3.0-dev (>= 1.4.0) for HTML support.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Sep 2011 15:46:12 +0200

zenity (3.0.0-2) unstable; urgency=low

  * debian/watch: Track .bz2 tarballs.
  * debian/control.in: Bump Standards-Version to 3.9.2. No further changes.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 31 Jul 2011 15:11:03 +0200

zenity (3.0.0-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Apr 2011 14:06:51 +0200

zenity (2.91.90-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    + Update for the new gtk+ 3 package names.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Feb 2011 19:53:35 +0100

zenity (2.91.5-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump Build-dependencies
    - Drop libnotify-dev-gtk2.10 build-dependency
    - Add zenity-common package
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Bump debhelper version
    - Use Breaks instead of Conflicts
    - Add Homepage field
    - Add Vcs-* field
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/watch: Bump version to 3
  * debian/zenity.install, zenity-common.install:
    - Move all arch independent files to zenity-common
  * debian/rules: Remove unneeded stuff

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Feb 2011 03:20:14 +0100

zenity (2.30.0-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 04 Apr 2010 20:16:35 +0200

zenity (2.28.0-2) unstable; urgency=low

  [ Andrea Veri ]
  * debian/control.in:
    - really don't B-D on scrollkeeper anymore.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_focus_windows.patch:
    - Removed, it's empty.
  * debian/patches/01_dont_quit_zenity_when_stdin_ends.patch:
    - Don't quit zenity when listening on stdin and the stream ends.
      Closes: #506425.
  * debian/rules:
    - Include simple-patchsys.mk.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
    - Move Uploaders right after Maintainer.
    - Build depend on docbook-xml, needed to build the documentation.
  * debian/docs:
    - Removed, NEWS and README are installed automatically.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 27 Feb 2010 16:42:27 +0100

zenity (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped standards-version to 3.8.3. No changes needed.
    - libglade2-dev B-D removed, it's no more needed as per
      configure.ac requirements.
    - libglib2.0-dev B-D added as per configure.ac requirements.
  * debian/copyright:
    - added missing copyright holders.
  * debian/patches/01_focus_windows:
    - removed, applied upstream
  * debian/rules:
    - simple-patchsys include removed as far as we have no
      patches to get applied anymore.

 -- Andrea Veri <andrea.veri89@gmail.com>  Thu, 24 Sep 2009 18:47:12 +0200

zenity (2.26.0-2) unstable; urgency=low

  * Only conflict with libgtkada-bin << 2.12.0-4, add replaces.
    Closes: #533867.
  * 01_focus_windows.patch: stolen upstream. Focus zenity windows by 
    default. Closes: #528455.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Aug 2009 18:23:10 +0200

zenity (2.26.0-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Remove libgnomecanvas2-dev dependency.
    - Bump up Standards-Version to 3.8.1, no changes needed.
    - Bump libgtk2.0-dev to 2.15.1.
  * debian/copyright:
    - Change license to LGPL-2.
    - Add two more upstream authors and copyright notices.

  [ Josselin Mouette ]
  * Remove scrollkeeper dependency.

 -- Josselin Mouette <joss@debian.org>  Tue, 09 Jun 2009 19:11:14 +0200

zenity (2.24.1-1) unstable; urgency=low

  * New upstream translation and bugfix release.
  * Bump build-dependency on intltool.

 -- Josselin Mouette <joss@debian.org>  Thu, 05 Mar 2009 11:06:59 +0100

zenity (2.24.0-1) experimental; urgency=low

  * Remove versioned build-dependency on scrollkeeper. Closes: #501565.
  * New upstream release.
  * Drop a couple of obsolete build-dependencies.
  * Pass -O1 -z defs --as-needed to the linker.

 -- Josselin Mouette <joss@debian.org>  Tue, 23 Dec 2008 23:00:05 +0100

zenity (2.22.1-2) unstable; urgency=low

  * Conflict with libgtkada2-bin; closes: #497456.
  * Bump up Standards-Version to 3.8.0.

 -- Loic Minier <lool@dooz.org>  Mon, 01 Sep 2008 23:20:19 +0200

zenity (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 05:34:21 +0200

zenity (2.22.0-1) unstable; urgency=low

  * New upstream stable release.
  * debian/control.in:
    + Updated Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Mar 2008 11:49:06 +0100

zenity (2.20.1-1) unstable; urgency=low

  * New upstream bugfix release with updated translations.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Nov 2007 05:42:46 +0100

zenity (2.20.0-2) unstable; urgency=medium

  * Drop version in dependency on scrollkeeper.

 -- Loic Minier <lool@dooz.org>  Sun, 23 Sep 2007 20:35:31 +0200

zenity (2.20.0-1) unstable; urgency=low

  * New upstream translation and bugfix release.
    + Features a timeout option. Closes: #354959.
  * 01_manpage.patch: removed, integrated upstream.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 16:53:28 +0200

zenity (2.18.2-1) unstable; urgency=low

  * New upstream bugfix and translation release.
    + correctly handle UTF-8 input text in the text info dialog
      (closes: #410728).
  * preinst: removed now this fix has been in a stable release
    (closes: #213317 by obscolescence).
  * 01_manpage.patch: manual page update from Sven Arvidsson
    (closes: #317726).



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: zenity
Section: gnome
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs (>= 0.4.4),
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.40.0),
               libgtk-3-dev (>= 3.0.0),
               gnome-doc-utils (>= 0.3.2),
               libnotify-dev (>= 0.6.1),
               libglib2.0-dev,
               libwebkitgtk-3.0-dev (>= 1.4.0),
               docbook-xml
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/zenity
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/zenity
Homepage: http://live.gnome.org/Zenity

Package: zenity
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zenity-common (= ${source:Version})
Breaks: libgtkada2-bin (<< 2.12.0-4)
Replaces: libgtkada2-bin (<< 2.12.0-4)
Description: Display graphical dialog boxes from shell scripts
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.

Package: zenity-common
Architecture: all
Depends: ${misc:Depends}
Breaks: zenity (<< 2.91.5-1~)
Replaces: zenity (<< 2.91.5-1~)
Description: Display graphical dialog boxes from shell scripts (common files)
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.
 .
 This package contains architecture independent files.

## zenity 3.4.0

=== debian/changelog ===
zenity (3.4.0-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/git_gio_get_flags.patch:
    - git patch backport to fix zenity running into a cpu loop when using
      the --list option (regression from the previous upload), 
      thanks Julian Taylor (lp: #995435)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 May 2012 10:13:54 -0700

zenity (3.4.0-0ubuntu3) precise-proposed; urgency=low

  * debian/patches/git_list_view_segfault.patch:
    - don't segfault when using the --list option (lp: #968534)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 04 May 2012 08:43:26 -0700

zenity (3.4.0-0ubuntu2) precise; urgency=low

  * Mark zenity as multi-arch foreign.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Apr 2012 09:52:34 -0400

zenity (3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Add support for lists and trees with --forms
    - Fix warning reading list from stdin
  * debian/zenity-common.install:
    - Doesn't install omf files anymore

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Mar 2012 14:50:15 +1100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: zenity
 Section: gnome
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.4),
                gnome-pkg-tools (>= 0.10),
@@ -30,6 +31,7 @@
          zenity-common (= ${source:Version})
 Breaks: libgtkada2-bin (<< 2.12.0-4)
 Replaces: libgtkada2-bin (<< 2.12.0-4)
+Multi-Arch: foreign
 Description: Display graphical dialog boxes from shell scripts
  Zenity allows you to display GTK+ dialogs from shell scripts; it is a
  rewrite of the `gdialog' command from GNOME 1.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper

LDFLAGS += -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

## zenity 3.6.0

=== debian/changelog ===
zenity (3.6.0-0ubuntu1) raring; urgency=low

  [ Robert Ancell ]
  * New upstream release (LP: #1056606)
  * debian/control:
    - Replace build-depends on gnome-doc-utils with yelp-tools
  * debian/zenity-common.install:
    - Use new help location
  * debian/patches/02_fix_segfault_in_listview.patch:
    - Applied upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Nov 2012 19:02:13 +0100

zenity (3.4.0-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Mark zenity as Multi-Arch: foreign (thanks, Stéphane Graber).

  [ Michael Biebl ]
  * debian/patches/02_fix_segfault_in_listview.patch: Fix segfault when using
    --list option. Patch cherry-picked from upstream Git. Closes: #668292
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 May 2012 21:12:05 +0200

zenity (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Drop obsolete Breaks/Replaces.
  * Watch for xz tarballs.
  * Update Vcs-* URLs.
  * Update debhelper to v9.
  * Bump Standards-Version to 3.9.3, with no further changes.
  * Drop omf dir, documentation is now in Mallard format.
  * Drop Build-Depends on docbook-xml.
  * Add --list-missing to DEB_DH_INSTALL_ARGS.

 -- Jordi Mallach <jordi@debian.org>  Fri, 30 Mar 2012 19:02:11 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: zenity
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.4),
               gnome-pkg-tools (>= 0.10),
               yelp-tools,
               intltool (>= 0.40.0),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.0.0),
               libnotify-dev (>= 0.6.1),
               libwebkitgtk-3.0-dev (>= 1.4.0)
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/zenity
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
Homepage: http://live.gnome.org/Zenity

Package: zenity
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zenity-common (= ${source:Version})
Description: Display graphical dialog boxes from shell scripts
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.

Package: zenity-common
Architecture: all
Depends: ${misc:Depends}
Breaks: zenity (<< 2.91.5-1~)
Replaces: zenity (<< 2.91.5-1~)
Description: Display graphical dialog boxes from shell scripts (common files)
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.
 .
 This package contains architecture independent files.

## zenity 3.8.0

=== debian/changelog ===
zenity (3.8.0-1ubuntu1) trusty; urgency=medium

  * Import upstream patch to fix single-line issue (LP: #1296191)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 22 Mar 2014 19:58:21 -0700

zenity (3.8.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Refresh 01_dont_quit_zenity_when_stdin_ends.patch.
  * Remove 02_fix_segfault_in_listview.patch, merged upstream.
  * Switch Build-Depends on gnome-doc-utils to yelp-tools.
  * The Mallard documentation system uses different paths then
    gnome-doc-utils. Update the zenity-common.install file accordingly.

 -- Michael Biebl <biebl@debian.org>  Sun, 26 May 2013 00:06:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.4),
                gnome-pkg-tools (>= 0.10),
@@ -17,7 +17,7 @@
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
                libwebkitgtk-3.0-dev (>= 1.4.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/zenity
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
 Homepage: http://live.gnome.org/Zenity

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,5 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
 
 LDFLAGS += -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+
+DEB_DH_INSTALL_ARGS += --list-missing

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/zenity/([\d\.]+[02468])/zenity-([\d\.]+)\.tar\.xz

## zenity 3.12.1

=== debian/changelog ===
zenity (3.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New patches, taken from upstream Git: add-ellipsize-option.diff,
    fix-GtkLabel-size.diff (Closes: #702295)

 -- intrigeri <intrigeri@debian.org>  Mon, 28 Jul 2014 10:54:35 +0200

zenity (3.12.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Laurent Bigonville ]
  * New upstream release. (Closes: #740361)
    - Return correct exit code when --timeout is used (Closes: #646304)
    - Do not return item twice when double clicking in a list (Closes: #717053)
    - Expand lists vertically (Closes: #739248)
  * debian/control.in: Bump Standards-Version to 3.9.5 (no further changes)
  * Drop d/p/01_dont_quit_zenity_when_stdin_ends.patch: This patch is changing
    the upstream behavior when using --listen flag (Closes: #612683)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 May 2014 12:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: zenity
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.4),
                gnome-pkg-tools (>= 0.10),
@@ -17,10 +17,10 @@
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
                libwebkitgtk-3.0-dev (>= 1.4.0)
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/zenity
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/zenity
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
-Homepage: http://live.gnome.org/Zenity
+Homepage: https://wiki.gnome.org/Projects/Zenity
 
 Package: zenity
 Architecture: any

## zenity 3.14.0

=== debian/changelog ===
zenity (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Sep 2014 16:21:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: zenity
 Section: gnome
 Priority: optional

## zenity 3.16.3

=== debian/changelog ===
zenity (3.16.3-1ubuntu3) wily; urgency=medium

  * debian/control.in: build-depends on gnome-common

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Oct 2015 17:04:38 +0200

zenity (3.16.3-1ubuntu2) wily; urgency=medium

  * debian/control.in, debian/rules:
    - use dh-autoreconf so the previous patches works (lp: #1478386)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Oct 2015 16:31:16 +0200

zenity (3.16.3-1ubuntu1) wily; urgency=medium

  * debian/control.in, debian/patches/ubuntu_use_webkit1.patch:
    - revert use of webkit2 which is not in main yet

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 15:23:01 +0200

zenity (3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Build against WebKit2. Update Build-Depends accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Jun 2015 21:33:16 +0200

zenity (3.16.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes problem with zenity --text-info choking on some UTF-8 strings
      (Closes: #695933)
    - Fixes problem with zenity --info destroying the X11 primary selection
      content. (Closes: #742211)
  * Drop obsolete --disable-scrollkeeper configure switch.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 May 2015 01:16:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,13 @@
 Source: zenity
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.4),
+               dh-autoreconf,
+               gnome-common,
                gnome-pkg-tools (>= 0.10),
                yelp-tools,
                intltool (>= 0.40.0),
@@ -16,7 +19,7 @@
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
                libwebkitgtk-3.0-dev (>= 1.4.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/zenity
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
 Homepage: https://wiki.gnome.org/Projects/Zenity
@@ -37,8 +40,6 @@
 Package: zenity-common
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: zenity (<< 2.91.5-1~)
-Replaces: zenity (<< 2.91.5-1~)
 Description: Display graphical dialog boxes from shell scripts (common files)
  Zenity allows you to display GTK+ dialogs from shell scripts; it is a
  rewrite of the `gdialog' command from GNOME 1.

## zenity 3.18.1.1

=== debian/changelog ===
zenity (3.18.1.1-1ubuntu2) xenial; urgency=medium

  * debian/control{,.in}, debian/patches/ubuntu_use_webkit1.patch: Drop patch,
    switch to webkit2.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 12 Jan 2016 17:59:39 +0000

zenity (3.18.1.1-1ubuntu1) xenial; urgency=medium

  * Resynchronize with Debian, remaining changes
  * debian/control.in:
    - Build-Depends on dh-autoreconf and gnome-common
  * debian/patches/ubuntu_use_webkit1.patch:
    - revert use of webkit2 which is not in main yet
  * debian/rules:
    - use dh-autoreconf rule

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Oct 2015 11:26:25 +0200

zenity (3.18.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Oct 2015 21:39:17 +0200

zenity (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Sep 2015 15:40:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
-               libwebkitgtk-3.0-dev (>= 1.4.0)
+               libwebkit2gtk-4.0-dev (>= 2.8.1)
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/zenity
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
 Homepage: https://wiki.gnome.org/Projects/Zenity
 
 Package: zenity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

DEB_DH_INSTALL_ARGS += --list-missing

## zenity 3.22.0

=== debian/changelog ===
zenity (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Add Build-Depends on gnome-common, required by autoreconf.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 00:50:44 +0200

zenity (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 18:24:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,18 @@
 Source: zenity
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.4),
-               dh-autoreconf,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
+               gnome-pkg-tools (>= 0.10),
                gnome-common,
-               gnome-pkg-tools (>= 0.10),
                yelp-tools,
                intltool (>= 0.40.0),
                libglib2.0-dev,
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
                libwebkit2gtk-4.0-dev (>= 2.8.1)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/zenity
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
 Homepage: https://wiki.gnome.org/Projects/Zenity

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_install:
	dh_install --list-missing

## zenity 3.24.0

=== debian/changelog ===
zenity (3.24.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 19:32:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                gnome-common,
@@ -16,7 +16,7 @@
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
                libwebkit2gtk-4.0-dev (>= 2.8.1)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/zenity
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/zenity
 Homepage: https://wiki.gnome.org/Projects/Zenity

## zenity 3.28.1

=== debian/changelog ===
zenity (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Apr 2018 20:08:50 -0400

zenity (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 08:22:14 -0400

zenity (3.27.90-1) unstable; urgency=medium

  * New upstream translations release (LP: #1747158)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 23:49:12 -0500

zenity (3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Mark zenity-common as Multi-Arch: foreign

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 19:13:22 -0500

zenity (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1
  * Switch to dh_missing and abort on uninstalled files
  * Replace Build-Depends on intltool with gettext

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Nov 2017 16:58:38 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: zenity
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.10),
               gnome-common,
               yelp-tools,
               gettext (>= 0.19.4),
               libglib2.0-dev,
               libgtk-3-dev (>= 3.0.0),
               libnotify-dev (>= 0.6.1),
               libwebkit2gtk-4.0-dev (>= 2.8.1)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
Homepage: https://wiki.gnome.org/Projects/Zenity

Package: zenity
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zenity-common (>= ${source:Version})
Description: Display graphical dialog boxes from shell scripts
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.

Package: zenity-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Display graphical dialog boxes from shell scripts (common files)
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.
 .
 This package contains architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_missing:
	dh_missing --fail-missing

## zenity 3.30.0

=== debian/changelog ===
zenity (3.30.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0
  * Build-Depend on debhelper-compat 12 and drop debian/compat

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 20:03:30 -0500

zenity (3.30.0-1) unstable; urgency=medium

  * New upstream version including translations updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Oct 2018 16:10:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools (>= 0.10),
                gnome-common,
                yelp-tools,
@@ -16,7 +16,7 @@
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
                libwebkit2gtk-4.0-dev (>= 2.8.1)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
 Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
 Homepage: https://wiki.gnome.org/Projects/Zenity

## zenity 3.32.0

=== debian/changelog ===
zenity (3.32.0-6) unstable; urgency=medium

  * Team upload
  * d/upstream/metadata: Add
  * Set Rules-Requires-Root to no
  * Remove -Wl,--as-needed linker flag.
    This is the default for the bullseye toolchain.
  * Build-Depend on dh-sequence-gnome.
    This avoids having to repeat the sequence name in d/rules.
  * Build-Depend on autoconf-archive instead of gnome-common
    (Closes: #829835)

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Oct 2020 20:47:58 +0100

zenity (3.32.0-5) unstable; urgency=medium

  * debian/control.in: Webkit is now only available on linux architectures
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 27 Feb 2020 10:31:25 +0100

zenity (3.32.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 13:57:01 -0400

zenity (3.32.0-3) experimental; urgency=medium

  * Remove local changes included by error in the upload

 -- Sebastien Bacher <seb128@debian.org>  Thu, 04 Apr 2019 13:47:47 +0200

zenity (3.32.0-2) experimental; urgency=medium

  * Restore the gnome-common Build-Depends, it's still needed

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2019 10:17:17 +0200

zenity (3.32.0-1) experimental; urgency=medium

  * New upstream version
  * debian/control.in:
    - don't Build-Depends on the deprecated gnome-common

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2019 22:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools (>= 0.10),
-               gnome-common,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 12),
+               dh-sequence-gnome,
                yelp-tools,
                gettext (>= 0.19.4),
                libglib2.0-dev,
                libgtk-3-dev (>= 3.0.0),
                libnotify-dev (>= 0.6.1),
-               libwebkit2gtk-4.0-dev (>= 2.8.1)
-Standards-Version: 4.3.0
+               libwebkit2gtk-4.0-dev (>= 2.8.1) [linux-any]
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
 Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
 Homepage: https://wiki.gnome.org/Projects/Zenity

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

## zenity 3.41.0

=== debian/changelog ===
zenity (3.41.0-2) unstable; urgency=medium

  * Don't try to build webkitgtk feature where webkitgtk isn't available

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 14:02:16 -0400

zenity (3.41.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with meson
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0

  [ Laurent Bigonville ]
  * debian/control.in: WebKit builds fine again on m68k
    re-add that architecture to the build-dependencies

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 08:37:27 -0400

zenity (3.32.0-7) unstable; urgency=medium

  * debian/control.in: WebKit now builds fine on hurd-i386, re-add that
    architecture to the build-dependencies
  * debian/control.in: Disable WebKit support on ia64, m68k and sh4

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 May 2021 11:12:55 +0200

## zenity 3.42.0

=== debian/changelog ===
zenity (3.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 12:58:21 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,17 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: autoconf-archive,
-               debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
-               yelp-tools,
-               gettext (>= 0.19.4),
+               itstool,
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-3-dev (>= 3.16.0),
                libnotify-dev (>= 0.6.1),
-               libwebkit2gtk-4.0-dev (>= 2.8.1) [linux-any]
+               libwebkit2gtk-4.0-dev (>= 2.8.1) [!ia64 !kfreebsd-any !sh4],
+               meson (>= 0.53.0)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
 Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
 Homepage: https://wiki.gnome.org/Projects/Zenity

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

ifeq (,$(filter $(DEB_HOST_ARCH), ia64 kfreebsd-amd64 kfreebsd-i386 sh4))
	ENABLE_WEBKIT = -Dwebkitgtk=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(ENABLE_WEBKIT) \
		-Dlibnotify=true

## zenity 3.42.1

=== debian/changelog ===
zenity (3.42.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1970658)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 May 2022 14:39:37 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: zenity
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -17,8 +18,10 @@
                meson (>= 0.53.0)
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
-Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/zenity/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git -b ubuntu/jammy
 Homepage: https://wiki.gnome.org/Projects/Zenity
 
 Package: zenity

## zenity 3.43.0

=== debian/changelog ===
zenity (3.43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/docs: README → README.md
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 15:31:40 -0400

zenity (3.42.1-2) unstable; urgency=medium

  * Build against webkit2gtk 4.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Jun 2022 15:41:01 -0400

zenity (3.42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970658)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Apr 2022 15:37:34 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: zenity
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -14,14 +13,12 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.16.0),
                libnotify-dev (>= 0.6.1),
-               libwebkit2gtk-4.0-dev (>= 2.8.1) [!ia64 !kfreebsd-any !sh4],
+               libwebkit2gtk-4.1-dev (>= 2.8.1) [!hurd-i386 !ia64 !kfreebsd-any !sh4],
                meson (>= 0.53.0)
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/zenity/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
+Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
 Homepage: https://wiki.gnome.org/Projects/Zenity
 
 Package: zenity

## zenity 3.44.0

=== debian/changelog ===
zenity (3.44.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 18:56:51 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libwebkit2gtk-4.1-dev (>= 2.8.1) [!hurd-i386 !ia64 !kfreebsd-any !sh4],
                meson (>= 0.53.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
 Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
 Homepage: https://wiki.gnome.org/Projects/Zenity

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
-ifeq (,$(filter $(DEB_HOST_ARCH), ia64 kfreebsd-amd64 kfreebsd-i386 sh4))
+ifeq (,$(filter $(DEB_HOST_ARCH), hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 sh4))
 	ENABLE_WEBKIT = -Dwebkitgtk=true
 endif

## zenity 3.44.2

=== debian/changelog ===
zenity (3.44.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 14:16:16 -0400

zenity (3.44.0-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Jul 2023 13:47:23 +0100

zenity (3.44.0-2) experimental; urgency=medium

  * Team upload
  * d/control.in, d/rules: Disable WebKit integration (--html option).
    This adds several "heavy" dependencies, notably WebKit itself, but
    also video and spellchecking among others, which are undesired for
    a simple interactive dialog.
    The WebKit feature is disabled by default upstream, and several
    major distributions (including at least the Fedora/Red Hat family,
    Arch and openSUSE) don't enable it in their packaging, so portable
    software cannot rely on this option being available. According to
    codesearch.debian.net, none of the packages with a dependency on
    zenity use the --html option.
    The beginning of the Debian 13 cycle seems a good time to make this
    sort of potentially disruptive change; most likely nobody will notice
    this feature going away, but if we get bug reports, we can consider
    other options such as having a zenity-minimal package without HTML
    support, or having a zenity-full package with it.
    (Closes: #777608, #942362)
  * d/control.in: Remove version constraints in Build-Depends unnecessary
    since bullseye (oldstable)
    - libgtk-3-dev
    - libnotify-dev
    - meson

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Jun 2023 14:55:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                itstool,
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.16.0),
-               libnotify-dev (>= 0.6.1),
-               libwebkit2gtk-4.1-dev (>= 2.8.1) [!hurd-i386 !ia64 !kfreebsd-any !sh4],
-               meson (>= 0.53.0)
+               libgtk-3-dev,
+               libnotify-dev,
+               meson
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/zenity

## zenity 3.44.2-1+wilma

=== debian/changelog ===
zenity (3.44.2-1+wilma) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 14:16:16 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                itstool,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibnotify=true \
		-Dwebkitgtk=false \
		${NULL}
